ALTER TABLE NAJAVE
ADD MARINA VARCHAR2(100 CHAR);

ALTER TABLE NAJAVE
ADD BERTH VARCHAR2(100 CHAR);

ALTER TABLE NAJAVE
ADD FILL_LOCATION VARCHAR2(100 CHAR);

ALTER TABLE S_ARTIKLI
MODIFY RECIPE NULL;

ALTER TABLE S_ARTIKLI
ADD SALE VARCHAR2(1 CHAR) DEFAULT 'Y';

ALTER TABLE S_LOKACIJE
ADD CENTRAL VARCHAR2(1 CHAR);

ALTER TABLE S_LOKACIJE
ADD SELECTABLE VARCHAR2(1 CHAR) DEFAULT 'Y';

CREATE OR REPLACE VIEW V_S_LOKACIJE AS (
	SELECT S.ID_LOKACIJA, S.NAZIV, S.INTERNI_OPIS, S.NNLOCATION_ID, S.ID_CENTRAL, S.CENTRAL, S.SELECTABLE, SC.NAZIV AS CENTRAL_NAZIV
	FROM S_LOKACIJE S
  LEFT OUTER JOIN S_LOKACIJE SC ON SC.ID_LOKACIJA = S.ID_CENTRAL
);

CREATE OR REPLACE VIEW V_S_ARTIKLI
AS (
SELECT SA.ID_ARTIKEL, SA.ID_ENOTA, SA.ID_DAVEK, SA.ID_GRUPA, SA.NAZIV, SA.NAZIV1, SA.BAR_KODA, SA.MIN_ZALOGA, SA.MIN_IZDAJA, SA.CENA_SKL, SA.CENA_MP, SA.CENA_VP, SA.CENA_DEM, SA.DT_VPISA,
SA.DOBAVITELJ, SA.UPOR_VPIS, SA.UPOR_SPREM, SA.DAV_STOPNJA, SA.DT_SPREMEMBE, SA.KONTO, SA.LOKACIJA, SA.SIFRA_DOB, SA.V_UPORABI, SA.PRENOS, SA.LOKACIJA1, SA.LOKACIJA2, SA.CENAZDDV, SA.VRSTA,
SA.INTERNI_OPIS, SA.PROIZVAJALEC, SA.NNLOCATION_ID, SA.SALE, 
SE.NAZIV AS S_ENOTE_NAZIV, SE.OSN_ENOTA AS S_ENOTE_OSN_ENOTA, SD.OPIS AS S_DAVEK_OPIS, SG.NAZIV AS S_GRUPE_NAZIV, 
SG.SERVICE AS S_GRUPE_SERVICE, SG.COMMISSION_PERCENTAGE AS S_GRUPE_COMMISSION_PERCENTAGE, SG.ROUNDING AS S_GRUPE_ROUNDING
FROM S_ARTIKLI SA
LEFT OUTER JOIN S_DAVEK SD ON SD.ID_DAVEK = SA.ID_DAVEK
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SA.ID_ENOTA
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = SA.ID_GRUPA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1384, SYSDATE, '5.5', 1304, 'Warehouse and crane')
;